Package org.apache.solr.client.solrj.impl

## Class HttpJdkSolrClient.Builder

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,​HttpJdkSolrClient>
  - - org.apache.solr.client.solrj.impl.HttpJdkSolrClient.Builder

Enclosing class:
  HttpJdkSolrClient

    public static class HttpJdkSolrClient.Builder
    extends HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,​HttpJdkSolrClient>

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase

`baseSolrUrl, basicAuthAuthorizationStr, connectionTimeoutMillis, defaultCollection, executor, followRedirects, idleTimeoutMillis, maxConnectionsPerHost, proxyHost, proxyIsSecure, proxyIsSocks4, proxyPort, requestTimeoutMillis, requestWriter, responseParser, urlParamNames, useHttp1_1`

### Constructor Summary

Constructors
`Builder()`
`Builder​(String baseSolrUrl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpJdkSolrClient` `build()`
`HttpJdkSolrClient.Builder` `withCookieHandler​(CookieHandler cookieHandler)` Use the provided CookieHandler.
`HttpJdkSolrClient.Builder` `withSSLContext​(SSLContext sslContext)` Use the provided SSLContext.

### Methods inherited from class org.apache.solr.client.solrj.impl.HttpSolrClientBuilderBase

`getConnectionTimeout, getIdleTimeoutMillis, useHttp1_1, withBasicAuthCredentials, withConnectionTimeout, withDefaultCollection, withExecutor, withFollowRedirects, withIdleTimeout, withMaxConnectionsPerHost, withOptionalBasicAuthCredentials, withProxyConfiguration, withRequestTimeout, withRequestWriter, withResponseParser, withTheseParamNamesInTheUrl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

#### Builder

    public Builder​(String baseSolrUrl)

### Method Detail

#### build

    public HttpJdkSolrClient build()

Specified by:
  `build` in class `HttpSolrClientBuilderBase<HttpJdkSolrClient.Builder,​HttpJdkSolrClient>`

#### withSSLContext

    public HttpJdkSolrClient.Builder withSSLContext​(SSLContext sslContext)

Use the provided SSLContext. See `HttpClient.Builder.sslContext(SSLContext)`.

Parameters:
  `sslContext` - the ssl context to use
Returns:
  this Builder

#### withCookieHandler

    public HttpJdkSolrClient.Builder withCookieHandler​(CookieHandler cookieHandler)

Use the provided CookieHandler.

Parameters:
  `cookieHandler` - the cookie handler to use
Returns:
  this Builder